Bug 26626 - When checking in a hold that is not found the X option is 'ignore' and when hold is found it is 'cancel'
Summary: When checking in a hold that is not found the X option is 'ignore' and when h...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-07 12:41 UTC by Nick Clemens
Modified: 2022-11-20 00:25 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 26626: Add 'Ignore' option to confirmed holds modal (2.66 KB, patch)
2021-08-02 12:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Dialog with revised icons (77.24 KB, image/png)
2021-08-02 12:52 UTC, Owen Leonard
Details
Bug 26626: (follow-up) Update icon selection (2.87 KB, patch)
2021-08-04 17:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26626: Add 'Ignore' option to confirmed holds modal (2.72 KB, patch)
2021-08-10 14:15 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 26626: (follow-up) Update icon selection (2.93 KB, patch)
2021-08-10 14:15 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 26626: Add 'Ignore' option to confirmed holds modal (2.76 KB, patch)
2022-08-19 09:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26626: (follow-up) Update icon selection (2.97 KB, patch)
2022-08-19 09:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26626: (follow-up) Be consistent with icon and accesskeys (2.25 KB, patch)
2022-08-19 09:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26626: Add 'Ignore' option to confirmed holds modal (2.90 KB, patch)
2022-08-21 10:35 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 26626: (follow-up) Update icon selection (3.11 KB, patch)
2022-08-21 10:35 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 26626: (follow-up) Be consistent with icon and accesskeys (2.39 KB, patch)
2022-08-21 10:36 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-10-07 12:41:53 UTC
This can lead to accidental cancellation if one is simply trying to dismiss the modal and has learned that the X option is often 'ignore'

I would suggest replacing 'Ignore/Cancel' with 'Dismiss' and moving the 'Cancel' option to the left of 'Confirm hold'

To recreate:
 1 - Place a hold for pickup at library A 
 2 - Checkin the item at Library A
 3 - Note the modal has 'Ignore' option
 4 - Click it, nothing happens
 5 - Check in the item again, same modal
 6 - Click 'Confirm'
 7 - Check in the item again
 8 - Now 'Ignore' is replaced by 'Cancel'
 9 - Click 'cancel', but pretend you thought it was 'Ignore'
10 - The book comes up on the holds queue, but no one can find it, because it is on the holds shelf
11 - Then staff do find it, but they hold it for the next patron
12 - The original patron comes in to library, but you won't give them the book, because someone else has the hold now
13 - Drama ensues...
Comment 1 Nick Clemens 2021-08-02 12:29:37 UTC
Created attachment 123368 [details] [review]
Bug 26626: Add 'Ignore' option to confirmed holds modal

This patch adds 'Ignore' to the 'Hold already waiting' modal

To test:
To recreate:
 1 - Place a hold for pickup at library A
 2 - Checkin the item at Library A
 3 - Note the modal has 'Ignore' option
 4 - Click it, nothing happens
 5 - Check in the item again, same modal
 6 - Click 'Confirm'
 7 - Check in the item again
 8 - Now 'Ignore' is replaced by 'Cancel'
 9 - Click 'Confirm' to dismiss modal
10 - Apply patch
11 - Check the item in again
12 - Note 'Ignore' button before 'Cancel' button with '-' icon
13 - Go to biblio holds page
14 - Revert waiting status
15 - Check item in again
16 - Note ignore now has '-' (minus) icon
Comment 2 Owen Leonard 2021-08-02 12:52:49 UTC
Created attachment 123373 [details]
Dialog with revised icons

I think the minus symbol isn't very understandable. What about using the "trash" icon (which we use in other situations for "delete") for the cancel operation? See the attached mockup.
Comment 3 Andrew Fuerste-Henry 2021-08-02 13:03:31 UTC
I like the idea of promoting icon consistency. I'm happy to defer to Owen on questions of minuses and garbage cans :)
Comment 4 Nick Clemens 2021-08-02 13:05:19 UTC
(In reply to Owen Leonard from comment #2)
> Created attachment 123373 [details]
> Dialog with revised icons
> 
> I think the minus symbol isn't very understandable. What about using the
> "trash" icon (which we use in other situations for "delete") for the cancel
> operation? See the attached mockup.

That sounds good to me! Did you code it already, or shall I attempt?
Comment 5 Owen Leonard 2021-08-02 14:10:17 UTC
I don't have a patch, so please attempt!
Comment 6 Owen Leonard 2021-08-04 17:08:29 UTC
Created attachment 123462 [details] [review]
Bug 26626: (follow-up) Update icon selection

This patch changes the "Ignore" button to use an X icon and the "Cancel"
button to use a "Trash" icon.
Comment 7 Owen Leonard 2021-08-04 17:09:44 UTC
(In reply to Owen Leonard from comment #5)
> I don't have a patch, so please attempt!

Never mind I did a patch!
Comment 8 Biblibre Sandboxes 2021-08-10 14:15:45 UTC
Created attachment 123698 [details] [review]
Bug 26626: Add 'Ignore' option to confirmed holds modal

This patch adds 'Ignore' to the 'Hold already waiting' modal

To test:
To recreate:
 1 - Place a hold for pickup at library A
 2 - Checkin the item at Library A
 3 - Note the modal has 'Ignore' option
 4 - Click it, nothing happens
 5 - Check in the item again, same modal
 6 - Click 'Confirm'
 7 - Check in the item again
 8 - Now 'Ignore' is replaced by 'Cancel'
 9 - Click 'Confirm' to dismiss modal
10 - Apply patch
11 - Check the item in again
12 - Note 'Ignore' button before 'Cancel' button with '-' icon
13 - Go to biblio holds page
14 - Revert waiting status
15 - Check item in again
16 - Note ignore now has '-' (minus) icon

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 9 Biblibre Sandboxes 2021-08-10 14:15:49 UTC
Created attachment 123699 [details] [review]
Bug 26626: (follow-up) Update icon selection

This patch changes the "Ignore" button to use an X icon and the "Cancel"
button to use a "Trash" icon.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 10 Barbara Johnson 2021-08-10 14:17:07 UTC
This works and the visual presentation is very clear.  I like using the x for Ignore and the trash can for Cancel.
Comment 11 Joonas Kylmälä 2021-09-19 13:02:20 UTC
Please rebase.
Comment 12 Nick Clemens 2022-08-19 09:53:07 UTC
Created attachment 139470 [details] [review]
Bug 26626: Add 'Ignore' option to confirmed holds modal

This patch adds 'Ignore' to the 'Hold already waiting' modal

To test:
To recreate:
 1 - Place a hold for pickup at library A
 2 - Checkin the item at Library A
 3 - Note the modal has 'Ignore' option
 4 - Click it, nothing happens
 5 - Check in the item again, same modal
 6 - Click 'Confirm'
 7 - Check in the item again
 8 - Now 'Ignore' is replaced by 'Cancel'
 9 - Click 'Confirm' to dismiss modal
10 - Apply patch
11 - Check the item in again
12 - Note 'Ignore' button before 'Cancel' button with '-' icon
13 - Go to biblio holds page
14 - Revert waiting status
15 - Check item in again
16 - Note ignore now has '-' (minus) icon

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 13 Nick Clemens 2022-08-19 09:53:11 UTC
Created attachment 139471 [details] [review]
Bug 26626: (follow-up) Update icon selection

This patch changes the "Ignore" button to use an X icon and the "Cancel"
button to use a "Trash" icon.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 14 Nick Clemens 2022-08-19 09:59:44 UTC
Created attachment 139472 [details] [review]
Bug 26626: (follow-up) Be consistent with icon and accesskeys
Comment 15 Joonas Kylmälä 2022-08-21 10:35:52 UTC
Created attachment 139540 [details] [review]
Bug 26626: Add 'Ignore' option to confirmed holds modal

This patch adds 'Ignore' to the 'Hold already waiting' modal

To test:
To recreate:
 1 - Place a hold for pickup at library A
 2 - Checkin the item at Library A
 3 - Note the modal has 'Ignore' option
 4 - Click it, nothing happens
 5 - Check in the item again, same modal
 6 - Click 'Confirm'
 7 - Check in the item again
 8 - Now 'Ignore' is replaced by 'Cancel'
 9 - Click 'Confirm' to dismiss modal
10 - Apply patch
11 - Check the item in again
12 - Note 'Ignore' button before 'Cancel' button with '-' icon
13 - Go to biblio holds page
14 - Revert waiting status
15 - Check item in again
16 - Note ignore now has '-' (minus) icon

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 16 Joonas Kylmälä 2022-08-21 10:35:58 UTC
Created attachment 139541 [details] [review]
Bug 26626: (follow-up) Update icon selection

This patch changes the "Ignore" button to use an X icon and the "Cancel"
button to use a "Trash" icon.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 17 Joonas Kylmälä 2022-08-21 10:36:02 UTC
Created attachment 139542 [details] [review]
Bug 26626: (follow-up) Be consistent with icon and accesskeys

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 18 Tomás Cohen Arazi 2022-09-07 20:57:54 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 19 Lucas Gass 2022-10-31 20:13:32 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 20 Arthur Suzuki 2022-11-14 13:38:50 UTC
applied to 21.11.x for 21.11.14
Comment 21 Victor Grousset/tuxayo 2022-11-20 00:25:00 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.